package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 重置银行信息枚举
 */
@AllArgsConstructor
@Getter
public enum EResetBank {

    /**
     * 1=重置银行
     */
    RESET_BANK(1, "重置银行", 0, EnumsPrefixConstants.ERESET_BANK + "1"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static EResetBank getEnumByValue(int value) {
        for (EResetBank eApproveStatus : EResetBank.values()) {
            if (eApproveStatus.getValue() == value) {
                return eApproveStatus;
            }
        }
        return null;
    }

}
